DL_KeyDerivationAlgorithm_P1363< T, DHAES_MODE, KDF > Class Template Reference

P1363 based Key Derivation Method. More...

`#include <gfpcrypt.h>`

Inheritance diagram for DL_KeyDerivationAlgorithm_P1363< T, DHAES_MODE, KDF >:

## Public Member Functions

bool | ParameterSupported (const char *name) const
void | Derive (const DL_GroupParameters< T > &params, byte *derivedKey, size_t derivedLength, const T &agreedElement, const T &ephemeralPublicKey, const NameValuePairs &parameters) const

## Detailed Description

template<class T, bool DHAES_MODE, class KDF>
class DL_KeyDerivationAlgorithm_P1363< T, DHAES_MODE, KDF >

P1363 based Key Derivation Method.

Template Parameters

  T | FieldElement type or class
  DHAES_MODE | flag indicating DHAES mode
  KDF | key derivation function

FieldElement `T` can be Integer, ECP or EC2N.

Definition at line 958 of file gfpcrypt.h.

## Constructor & Destructor Documentation

## ~DL_KeyDerivationAlgorithm_P1363()

template<class T , bool DHAES_MODE, class KDF >

virtual DL_KeyDerivationAlgorithm_P1363< T, DHAES_MODE, KDF >::~DL_KeyDerivationAlgorithm_P1363 | ( |  | ) |

inline virtual

Definition at line 961 of file gfpcrypt.h.

## Member Function Documentation

## ParameterSupported()

template<class T , bool DHAES_MODE, class KDF >

bool DL_KeyDerivationAlgorithm_P1363< T, DHAES_MODE, KDF >::ParameterSupported | ( | const char * | name | ) | const

inline virtual

Reimplemented from DL_KeyDerivationAlgorithm< T >.

Definition at line 963 of file gfpcrypt.h.

## Derive()

template<class T , bool DHAES_MODE, class KDF >

void DL_KeyDerivationAlgorithm_P1363< T, DHAES_MODE, KDF >::Derive | ( | const DL_GroupParameters< T > & | params,
|  | byte * | derivedKey,
|  | size_t | derivedLength,
|  | const T & | agreedElement,
|  | const T & | ephemeralPublicKey,
|  | const NameValuePairs & | parameters
| ) |  | const

inline virtual

Implements DL_KeyDerivationAlgorithm< T >.

Definition at line 964 of file gfpcrypt.h.

The documentation for this class was generated from the following file:

- gfpcrypt.h